Skip to content

Get all topologies

GET
/topologies
curl --request GET \
--url https://antimony.example.com/api/topologies \
--header 'Authorization: Basic <credentials>'

OK

Media typeapplication/json
object
payload
Array<object>
object
annotations
string
bindFiles
Array<object>
object
content
string
filePath
string
id
string
topologyId
string
collectionId
string
creator
object
id
string
name
string
definition
string
id
string
lastDeployFailed
boolean
policyFindings
Array<object>
object
impact
string
Allowed values: deploy shell unreviewed
message
string
path
string
ruleId
string
Allowed values: netlab unreviewed-field go-template env-expansion mgmt prefix settings env-files host-kind image-not-allowed privileged privileges host-namespace kernel-settings runtime host-ports volumes static-mgmt-address host-exec remote-file foreign-file host-link
syncUrl
string

Example

{
"payload": [
{
"policyFindings": [
{
"impact": "deploy",
"ruleId": "netlab"
}
]
}
]
}

The user isn’t authorized

Media typeapplication/json

Access to the resource was denied. Details in the request body.

Media typeapplication/json
object
code
integer
message
string

Example generated

{
"code": 1,
"message": "example"
}

The provided access token is not valid

Media typeapplication/json